##############################################################################
# @file  CMakeLists.txt
# @brief Build configuration of software.
#
# Copyright (c) 2008, 2009, 2012 University of Pennsylvania.
#
# This file is part of DTI-DROID.
#
# DTI-DROID is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# DTI-DROID is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DTI-DROID.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: SBIA Group <sbia-software at uphs.upenn.edu>
##############################################################################

# the different flavors of matrixSHEN...
basis_add_library (matrixshen-classic STATIC matrixSHENCLASSIC.cxx xzdgshenCLASSIC.cxx)
basis_add_library (matrixshen-dgtools STATIC matrixSHENdgtools.cxx)
basis_add_library (matrixshen-drtg    STATIC matrixSHENDRTG.cxx)

# the different flavors of mvcd
basis_add_library (mvcd-dgtools STATIC mvcddgtools.cxx)
basis_add_library (mvcd-drtg    STATIC mvcdDRTG.cxx)

# common
basis_add_library (
  common
  STATIC
    Basics.cxx
    DTVolume.cxx
    TensorField.cxx
    Fields.cxx
    eig.cxx
    Ellipsoid.cxx
    GPrimitive.cxx
    ImgVol.cxx
    mVolume.cxx
    nrutil.cxx
    svdcmp.cxx
    Utilities.cxx
    VoxMap.cxx
    WarpVolume.cxx
    RGBAcolorMapDT.cxx
)

basis_target_link_libraries (common gsl gslcblas)
